de.esprit.appsuite.database.dbase.event

## Class RecordChangeEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.appsuite.database.dbase.event.RecordChangeEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    RemoteRecordChangeEvent

      public class RecordChangeEvent
      extends GenericEvent

  This event is supposed to notify clients about record changes in the database in order to keep the local client cache up to date.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RecordChangeEvent.Listener`

    - ### Nested classes/interfaces inherited from class de.esprit.common.gui.event.GenericEvent

      `GenericEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordChangeEvent(DBChangeType action, DBRecord record)`
    `RecordChangeEvent(DBChangeType action, DBRecord[] records)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DBChangeType` | `getChangeType()`
    `DBRecord` | `getRecord()`
    `int` | `getRecordCount()`
    `DBRecord[]` | `getRecords()`
    `boolean` | `hasSingeRecord()`
    `boolean` | `isDeleted()`
    `boolean` | `isInserted()`
    `boolean` | `isUpdated()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordChangeEvent

          public RecordChangeEvent(DBChangeType action,
                           DBRecord record)

    - #### RecordChangeEvent

          public RecordChangeEvent(DBChangeType action,
                           DBRecord[] records)

  - ### Method Detail

    - #### isDeleted

          public boolean isDeleted()

    - #### isInserted

          public boolean isInserted()

    - #### isUpdated

          public boolean isUpdated()

    - #### getChangeType

          public DBChangeType getChangeType()

    - #### getRecords

          public DBRecord[] getRecords()

    - #### getRecord

          public DBRecord getRecord()

    - #### hasSingeRecord

          public boolean hasSingeRecord()

    - #### getRecordCount

          public int getRecordCount()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.